Skip to main content
GET
/
environments
/
{org}
/
{env_name}
Get environment
curl --request GET \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name} \
  --header 'Authorization: Bearer <token>'
{
  "org": "<string>",
  "name": "<string>",
  "type": "<string>",
  "description": "<string>",
  "last_modified_at": 123,
  "include_scaling": true,
  "tags": {},
  "last_reported_at": 123,
  "state": true,
  "policies": [
    "<string>"
  ],
  "included_environments": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Response

200 - application/json

Successful Response

org
string
required

Organization which owns the environment

name
string
required

Name for the environment

type
string
required

Type of the report source infrastructure

description
string
required

Description for the environment

last_modified_at
number
required

Last report modification timestamp

include_scaling
boolean
required

If the environment record scaling events

tags
Tags · object
required

User-defined tags for the environment

last_reported_at
number | null

Last report received timestamp

state
boolean | null

Compliance state of the environment

policies
string[] | null

List of attached policies to the environment

included_environments
string[] | null

List of included environments for logical environments

Last modified on April 9, 2026